Subject: controlling SNA forwarding (+ the conference call)

From: "Peter W. Gayek" <[email-masked]>
Date: Thu, 23 Feb 95 18:30:13 EST

Fellow MIBers,
One object I am struggling with a bit is dlswSnaForwardingStatus.
It's easy to say "disable SNA", but there is no commonly-accepted
definition of what SAPs should be affected by such an operation.
Should it be just 04, or 04/08/0C, or all multiples of 4 in a
certain range, ...?  We certainly don't want to interfere with
non-SNA applications that use a SAP that some consider to be a
SNA SAP but isn't used for SNA in a particular customer network.

I think the simplest solution to this problem is to get rid of
dlswSnaForwardingStatus and dlswNBForwardingStatus.  Note that
a user/application can manipulate dlswResourceAdminSnaSapList
(which, by the way, should be renamed to remove "sna") to achieve
the same result with no ambiguity about the SAPs affected.
Unfortunately, we would lose the nifty "quiesce" function, but
I suppose an implementation could quiesce before making the adminSapList
change effective if someone really liked this function.

There is a precedent for this move in the capex riglet, where we
got rid of the "netbios support" CV and made the "supported SAP
list" CV required.

What do you all think??
Peter

P.S. Deirdre, I presume the conference call is not tomorrow.  When
     will it be?  The other candidate days were 3/1 and 3/2, and
     I think we all need to get it on our calendars.